summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2015-09-26 09:24:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-26 09:24:57 +0700
commitabacae9cd919772cda8c23aa1159b072c36a530b (patch)
treee7e9300613cd10698a26454de3e157669edf9b24 /development
parent751d5e055170d0ea4f5628811218d12b76a9788a (diff)
downloadslackbuilds-abacae9cd919772cda8c23aa1159b072c36a530b.tar.gz
slackbuilds-abacae9cd919772cda8c23aa1159b072c36a530b.tar.xz
development/simulavr: Added (Atmel AVR Family Simulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/simulavr/README14
-rw-r--r--development/simulavr/doinst.sh9
-rw-r--r--development/simulavr/simulavr.SlackBuild108
-rw-r--r--development/simulavr/simulavr.info10
-rw-r--r--development/simulavr/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/development/simulavr/README b/development/simulavr/README
new file mode 100644
index 0000000000..df4ace7230
--- /dev/null
+++ b/development/simulavr/README
@@ -0,0 +1,14 @@
+The SimulAVR program is a simulator for the Atmel AVR family of
+microcontrollers (ATtiny and ATmega). SimulAVR can be used either
+standalone or as a remote target for avr-gdb. There is a python
+and TCL interface. When used in gdbserver mode, the simulator is used
+as a back-end so that avr-gdb can be used as a source level debugger
+for AVR programs.
+
+SimulAVR started out as a C based project written by Theodore Roth
+in 2001. Klaus Rudolph started then in 2004 to rewrite the hardware
+simulation part in C++. Only the instruction decoder and the avr-gdb
+interface are mostly copied from the original simulavr sources.
+This C++ based version was known as simulavrxx until it became
+feature compatibile with the old simulavr code, then it
+was renamed back to simulavr.
diff --git a/development/simulavr/doinst.sh b/development/simulavr/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/simulavr/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/simulavr/simulavr.SlackBuild b/development/simulavr/simulavr.SlackBuild
new file mode 100644
index 0000000000..dafb77f97c
--- /dev/null
+++ b/development/simulavr/simulavr.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for SimulAVR
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=simulavr
+VERSION=${VERSION:-git20150924}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGVER \
+ --build=$ARCH-slackware-linux \
+ --with-tclconfig=/usr/lib${LIBDIRSUFFIX} \
+ --enable-verilog \
+ --enable-tcl
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress info pages and remove the package's dir file
+# If no info pages are installed by the software, don't leave this in the script
+mv $PKG/usr/share/info $PKG/usr
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README.* INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/simulavr/simulavr.info b/development/simulavr/simulavr.info
new file mode 100644
index 0000000000..0d158f86ca
--- /dev/null
+++ b/development/simulavr/simulavr.info
@@ -0,0 +1,10 @@
+PRGNAM="simulavr"
+VERSION="git20150924"
+HOMEPAGE="http://www.nongnu.org/simulavr/"
+DOWNLOAD="https://www.dropbox.com/s/ghvufjzz9mseocq/simulavr-git20150924.tar.gz"
+MD5SUM="e3ea3fcdc6f72e0ce9b185966fd32261"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="avr-gcc avr-libc"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/development/simulavr/slack-desc b/development/simulavr/slack-desc
new file mode 100644
index 0000000000..96a912d7be
--- /dev/null
+++ b/development/simulavr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+simulavr: simulavr (A Simulator for Atmel AVR Family of Microcontrollers)
+simulavr:
+simulavr: SimulAVR can be used either standalone or as a remote target
+simulavr: for avr-gdb. There is a Python and TCL interface. When used in
+simulavr: gdbserver mode, the simulator is used as a back-end so that
+simulavr: avr-gdb can be used as a source level debugger for AVR programs.
+simulavr:
+simulavr:
+simulavr:
+simulavr:
+simulavr: